### Method

# Gtk Entry get_icon_at_pos

#### Declaration [src]

    int
    gtk_entry_get_icon_at_pos (
      GtkEntry* entry,
      int x,
      int y
    )

#### Description [src]

Finds the icon at the given position and return its index.

The position’s coordinates are relative to the `entry`’s top left corner. If `x`, `y` doesn’t lie inside an icon, -1 is returned. This function is intended for use in a `GtkWidget::query-tooltip` signal handler.

#### Parameters

`x`

  Type: `int`

  The x coordinate of the position to find, relative to `entry`.

`y`

  Type: `int`

  The y coordinate of the position to find, relative to `entry`.

#### Return value

Type: `int`

The index of the icon at the given position, or -1